%global namedreltag -SP4
%global namedversion %{version}%{?namedreltag}
Name:             weld-cdi-api
Version:          1.0
Release:          %mkrel 1
Summary:          CDI APIs
Group:            Development/Java
License:          ASL 2.0
Url:              http://www.seamframework.org/Weld
# svn export http://anonsvn.jboss.org/repos/weld/cdi-api/tags/1.0-SP4/ cdi-api-1.0-SP4
# tar czf cdi-api-1.0-SP4-src-svn.tar.gz cdi-api-1.0-SP4
Source0:          cdi-api-%{namedversion}-src-svn.tar.gz
Patch0:           cdi-api-1.0-no-weld-parent.patch
Patch1:           cdi-api-1.0-qdox.patch
Patch2:           cdi-api-1.0-beanshell.patch
BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel

BuildRequires:    jboss-specs-parent
BuildRequires:    weld-parent

BuildRequires:    atinject
BuildRequires:    geronimo-jaxrpc
BuildRequires:    glassfish-el
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-interceptors-1.1-api
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    sun-annotation-1.0-api
BuildRequires:    sun-ws-metadata-2.0-api
# testing
BuildRequires:    bsh2
BuildRequires:    qdox
BuildRequires:    testng

BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-testng

Requires:         atinject
Requires:         geronimo-jaxrpc
Requires:         glassfish-el
Requires:         jboss-ejb-3.1-api
Requires:         jboss-interceptors-1.1-api
Requires:         jboss-transaction-1.1-api
Requires:         sun-annotation-1.0-api
Requires:         sun-ws-metadata-2.0-api
Requires:         weld-parent

Requires:         jpackage-utils
Requires:         java

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n cdi-api-%{namedversion}
#%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

mvn-rpmbuild  \
  install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/cdi-api-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Feb 24 2012 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 213607
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - build fix
      adapt to current guidelines
      rebuilt with weld-parent support
    - imported package weld-cdi-api

